### Hierarchy

- MessageDecrypt
  - KeyPairHelper

## Index

### Methods

- decryptFields
- decryptFile
- decryptMessage

## Methods

### decryptFields

- decryptFields(fields: Map<string, string>, passwords?: Map<string, string>): Promise<Map<string, string>>

- - Defined in utils/keypair/MessageDecrypt.ts:5

  #### Parameters

  - ##### fields: Map<string, string>

  - ##### Optional passwords: Map<string, string>

  #### Returns Promise<Map<string, string>>

### decryptFile

- decryptFile(file: string, filedName: string, password?: string): Promise<string>

- - Defined in utils/keypair/MessageDecrypt.ts:17

  Decrypt file. Base64 string

  #### Parameters

  - ##### file: string

    base64 encrypted data

  - ##### filedName: string

    key of field for auto-generation password for decrypt

  - ##### Optional password: string

    optional if you already have password for file. apply password instead auto-generation password.

  #### Returns Promise<string>

  decrypted file Base64 data.

### decryptMessage

- decryptMessage(senderPk: string, encrypted: string): Promise<string>

- - Defined in utils/keypair/MessageDecrypt.ts:3

  #### Parameters

  - ##### senderPk: string

  - ##### encrypted: string

  #### Returns Promise<string>

Generated using TypeDoc